Fatal Error / Freedome for Mac

I have been running Freedome on my MacBook Pro (15" Yosemite 10.10.4) for a couple of months with no issues and suddenly got this morning a Fatal Error (Data required to run Freedome is missing or corrupted. Please reinstall the softwares). And I haven't done something extraordinary before my Mac was shut down.

I deleted Freedome.app, downloaded a fresh one, reinstall, restarted Mac and it's still the same error. So, has anyone ever come across the error like this and knows how to fix that. Thanks

Best Answer

  • AllrightAllright Posts: 2
    Accepted Answer
    Fixed the issue by deleting FSFredome folder from Library/Application Support/F-Secure.

Answers

  • I have got the same problem and reinstalling does not help and also deleting the FSFreedome folder does not help either. I have OS X 10.11 El Capitan. What can I do now? The problem started 2 days before the 14 days Trial was over. Today I bought the license and the problem still goes on and on...Fatal Error Data required to run Freedome is missing or corrupted. Please reinstall the software.
  • BenBen Posts: 2,640

    Hello Heinrich,

     

    In addition to removing the app and deleting the folders "/Library/Application Support/F-Secure/FSFreedome" and "~/Library/Application Support/F-Secure/FSFreedome", could you try to also remove "Your F-Secure Freedome Key" from your login keychain (it's in Passwords category)?

  • Thanks, problem solved!
    Heinrich
  • hi

    i have tried all the above but still i get the same fatal error message...its realy annoying...Smiley Sad

    thais65

  • hi
    i have tried all the above but still i get the same fatal error message...its realy annoying...Smiley Sad
    Please someone help..THx

    BY the way  i had to open a new account some how i cant log to the other one  (thais65) Smiley Surprised

    Thaise65

  • BenBen Posts: 2,640

    Hello Thais65,

     

    Could you tell us which system you are running?

     

    Also concerning your "first" Community account, do you get any error when you are trying to login with it?

  • Hello Ben

    Its Mac OS X El Capitan 10.11.

    thaise65
This discussion has been closed.